<?xml version="1.0" encoding="utf-8"?>
<!--
**
** Copyright 2009, The Android Open Source Project
**
** Licensed under the Apache License, Version 2.0 (the "License")
** you may not use this file except in compliance with the License.
** You may obtain a copy of the License at
**
**     http://www.apache.org/licenses/LICENSE-2.0
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS,
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
** See the License for the specific language governing permissions and
** limitations under the License.
*/
-->
<device name="Android">
  <!-- All values are in mA except as noted -->
  <item name="none">0</item>
  <item name="screen.on">76</item> <!-- min brite -->
  <item name="bluetooth.active">89.7</item>
  <item name="bluetooth.on">1.1</item>
  <item name="bluetooth.at">1.1</item> <!-- TBD -->
  <item name="screen.full">312</item> <!-- backlight 16 leds -->
  <item name="wifi.on">0.78</item>
  <item name="wifi.active">343</item>
  <item name="wifi.scan">104</item>
  <item name="dsp.audio">35</item>
  <item name="dsp.video">240</item>
  <item name="radio.active">190</item>
  <item name="gps.on">24</item>
  <item name="battery.capacity">4600</item> <!-- 4600mAh -->
  <item name="radio.scanning">65</item> <!-- TBD -->
  <!-- Current consumed by the radio at different signal strengths, when paging  -->
  <array name="radio.on"> <!-- 1 entry per signal strength bin, TBD -->
    <value>13.0</value>
    <value>10.0</value>
    <value>10.0</value>
    <value>10.0</value>
    <value>10.0</value>
  </array>
  <array name="cpu.clusters.cores">
    <value>6</value> <!-- cluster 0 has cpu0, cpu1, cpu2, cpu3, cpu4, cpu5-->
    <value>2</value> <!-- cluster 1 has cpu6, cpu7 -->
  </array>
  <array name="cpu.core_speeds.cluster0">
    <value>2000000</value> <!-- 2.00 GHz CPU speed -->
    <value>1903000</value> <!-- 1.90 GHz CPU speed -->
    <value>1800000</value> <!-- 1.80 GHz CPU speed -->
    <value>1703000</value> <!-- 1.70 GHz CPU speed -->
    <value>1600000</value> <!-- 1.60 GHz CPU speed -->
    <value>1503000</value> <!-- 1.50 GHz CPU speed -->
    <value>1407000</value> <!-- 1.41 GHz CPU speed -->
    <value>1310000</value> <!-- 1.31 GHz CPU speed -->
    <value>1260000</value> <!-- 1.26 GHz CPU speed -->
    <value>1150000</value> <!-- 1.15 GHz CPU speed -->
    <value>1053000</value> <!-- 1.05 GHz CPU speed -->
    <value>980000</value>  <!-- 980 MHz CPU speed -->
    <value>900000</value>  <!-- 900 MHz CPU speed -->
    <value>740000</value>  <!-- 740 MHz CPU speed -->
    <value>650000</value>  <!-- 650 MHz CPU speed -->
    <value>500000</value>  <!-- 500 MHz CPU speed -->
  </array>
  <array name="cpu.core_speeds.cluster1">
    <value>2400000</value> <!-- 2.40 GHz CPU speed -->
    <value>2320000</value> <!-- 2.32 GHz CPU speed -->
    <value>2240000</value> <!-- 2.24 GHz CPU speed -->
    <value>2150000</value> <!-- 2.15 GHz CPU speed -->
    <value>2000000</value> <!-- 2.00 GHz CPU speed -->
    <value>1900000</value> <!-- 1.90 GHz CPU speed -->
    <value>1800000</value> <!-- 1.80 GHz CPU speed -->
    <value>1660000</value> <!-- 1.66 GHz CPU speed -->
    <value>1540000</value> <!-- 1.54 GHz CPU speed -->
    <value>1430000</value> <!-- 1.43 GHz CPU speed -->
    <value>1300000</value> <!-- 1.30 GHz CPU speed -->
    <value>1140000</value> <!-- 1.14 GHz CPU speed -->
    <value>1040000</value> <!-- 1.04 GHz CPU speed -->
    <value>910000</value>  <!-- 910 MHz CPU speed -->
    <value>740000</value>  <!-- 740 MHz CPU speed -->
    <value>650000</value>  <!-- 650 MHz CPU speed -->
  </array>
  <!-- Power consumption in suspend -->
  <item name="cpu.idle">4</item>
  <!-- Power consumption due to wake lock held -->
  <item name="cpu.awake">31</item>
  <!-- Power consumption at different speeds -->
  <array name="cpu.core_power.cluster0">
    <value>177</value>
    <value>165</value>
    <value>152</value>
    <value>142</value>
    <value>129</value>
    <value>123</value>
    <value>114</value>
    <value>105</value>
    <value>101</value>
    <value>92</value>
    <value>85</value>
    <value>80</value>
    <value>74</value>
    <value>63</value>
    <value>58</value>
    <value>52</value>
  </array>
  <array name="cpu.core_power.cluster1">
    <value>1315</value>
    <value>1240</value>
    <value>1167</value>
    <value>1092</value>
    <value>972</value>
    <value>890</value>
    <value>821</value>
    <value>715</value>
    <value>646</value>
    <value>584</value>
    <value>511</value>
    <value>437</value>
    <value>389</value>
    <value>329</value>
    <value>259</value>
    <value>229</value>
  </array>
</device>
